<? if ( $this->user->isAgency() ): ?>
<table>
	<thead>
		<tr>
			<th class="date an"><?= __('date') ?></th>
			<th class="self-escort an"><?= __('self_escort') ?></th>
			<th class="participant an"><?= __('member_escort') ?></th>
			<th class="message-body an"><?= __('message') ?></th>
			<th class="reply an"></th>
		</tr>
	</thead>
	<tbody>
		<? $i = 1; ?>
		<? foreach($this->threads as $thread): ?>
		<tr class="<?= $i % 2 == 0 ? '' : 'even' ?>">
			<td class="date an"><a class="remove" onClick="return PrivateMessaging.RemoveThread(<?= $thread['id'] ?>, <?= $thread['self_escort_id'] ?>)"></a><span class="time"><?= date('d.m.Y', strtotime($thread['last_message_date'])) ?> | <?= date('h:i', strtotime($thread['last_message_date'])) ?></span></td>
			<td class="self-escort an">
				<span class="name"><?= $thread['self_escort_showname'] ?></span>
			</td>
			<td class="participant an">
				
				<? if($thread['escort_showname']):?>
					<a class="name" target="_blank" href="<?= $this->getLink('profile', array('showname' => $thread['escort_showname'], 'escort_id' => $thread['escort_id'] )) ?>"><?= $thread['escort_showname'] ?> </a>
				<? else: ?>
					<span class="name"><?= $thread['member_username'] ?></span>
				<? endif;?>
				
				<div class="clear"></div>
				<? if ( ! $thread['is_blocked'] ): ?>
				<a class="pm-block" onClick="return PrivateMessaging.BlockThread(<?= $thread['id'] ?>, <?= $thread['self_escort_id'] ?>)"><?= __('pm_block') ?></a>
				<? else: ?>
				<a class="pm-unblock" onClick="return PrivateMessaging.UnBlockThread(<?= $thread['id'] ?>, <?= $thread['self_escort_id'] ?>)"><?= __('pm_unblock') ?></a>
				<? endif; ?>
				
				<? $id = $thread['escort_id'] ? 'escort-' . $thread['escort_id'] : 'member-' . $thread['user_id']; ?>
				<? if ( $thread['is_in_contacts'] ): ?>
				<a class="pm-rm-contact" onClick="return PrivateMessaging.RemoveContact('<?= $id ?>', <?= $thread['self_escort_id'] ?>)"><?= __('pm_remove_contact') ?></a>
				<? else: ?>
				<a class="pm-add-contact" onClick="return PrivateMessaging.AddContact('<?= $id ?>', <?= $thread['self_escort_id'] ?>)"><?= __('pm_add_contact') ?></a>
				<? endif; ?>
				
			</td>
			<td class="message-body agency an"><?= strlen($thread['body']) > 200 ? substr($thread['body'], 0, 200) . '...' : $thread['body'] ?></td>
			<td class="reply">
				<div style="position: relative; float: left">
					<a data-id="<?= $thread['id'] ?>" onClick="return PrivateMessaging.ShowThread(this, <?= $thread['self_escort_id'] ?>);"></a>
					<? if ( $thread['has_unread_message'] && ! $thread['is_blocked'] ): ?>
					<div class="new"></div>
					<? endif; ?>
				</div>
			</td>
			<? $i++; ?>
		</tr>
		<? endforeach; ?>
	</tbody>
</table>

<? else: ?>
<table>
	<thead>
		<tr>
			<th class="date an"><?= __('date') ?></th>
			<th class="participant an"><?= __('member_escort') ?></th>
			<th class="message-body an"><?= __('message') ?></th>
			<th class="reply an"></th>
		</tr>
	</thead>
	<tbody>
		<? $i = 1; ?>
		<? foreach($this->threads as $thread): ?>	
		<tr class="<?= $i % 2 == 0 ? '' : 'even' ?>">
			<td class="date an"><a class="remove" onClick="return PrivateMessaging.RemoveThread(<?= $thread['id'] ?>)"></a><span class="time"><?= date('d.m.Y', strtotime($thread['last_message_date'])) ?> | <?= date('h:i', strtotime($thread['last_message_date'])) ?></span></td>
			<td class="participant an">
				<? if($thread['escort_showname']):?>
					<a class="name" target="_blank" href="<?= $this->getLink('profile', array('showname' => $thread['escort_showname'], 'escort_id' => $thread['escort_id'] )) ?>"><?= $thread['escort_showname'] ?> </a>
				<? else: ?>
					<span class="name"><?= $thread['member_username'] ?></span>
				<? endif;?>
				
				<div class="clear"></div>
				<? if ( ! $thread['is_blocked'] ): ?>
				<a class="pm-block" onClick="return PrivateMessaging.BlockThread(<?= $thread['id'] ?>)"><?= __('pm_block') ?></a>
				<? else: ?>
				<a class="pm-unblock" onClick="return PrivateMessaging.UnBlockThread(<?= $thread['id'] ?>)"><?= __('pm_unblock') ?></a>
				<? endif; ?>
				
				<? $id = $thread['escort_id'] ? 'escort-' . $thread['escort_id'] : 'member-' . $thread['user_id']; ?>
				<? if ( $thread['is_in_contacts'] ): ?>
				<a class="pm-rm-contact" onClick="return PrivateMessaging.RemoveContact('<?= $id ?>')"><?= __('pm_remove_contact') ?></a>
				<? else: ?>
				<a class="pm-add-contact" onClick="return PrivateMessaging.AddContact('<?= $id ?>')"><?= __('pm_add_contact') ?></a>
				<? endif; ?>
				
			</td>
			<td class="message-body an"><?= strlen($thread['body']) > 200 ? substr($thread['body'], 0, 200) . '...' : $thread['body'] ?></td>
			<td class="reply">
				<div style="position: relative; float: left">
					<a data-id="<?= $thread['id'] ?>" onClick="return PrivateMessaging.ShowThread(this);"></a>
					<? if ( $thread['has_unread_message'] && ! $thread['is_blocked'] ): ?>
					<div class="new"></div>
					<? endif; ?>
				</div>
			</td>
			<? $i++; ?>
		</tr>
		<? endforeach; ?>
	</tbody>
</table>
<? endif; ?>
<? $pages = $this->paging($this->count, $this->page, $this->per_page, 5, 2) ?>
<? if ( count($pages) > 1 ): ?>
<p class="paging-list">
	<? if ( $this->page > 1 ): ?>
		<a class="prev" href="#" onclick="return PrivateMessaging.LoadThreads(<?= $this->page - 1 ?>)"><?= __('previous') ?></a>
	<? endif ?>

	<? foreach ( $pages as $page ): ?>
	<? if ( $this->page == $page ): ?>
		<span class="active"><?= $page ?></span>
	<? else: ?>
		<a class="p" href="#" onclick="return PrivateMessaging.LoadThreads(<?= $page ?>)"><?= $page ?></a>
	<? endif ?>
	<? endforeach ?>

	<? if ( $this->page < ceil($this->count / $this->per_page) ): ?>
		<a class="next" href="#" onclick="return PrivateMessaging.LoadThreads(<?= ($this->page + 1) ?>)"><?= __('next') ?></a>
	<? endif ?>
</p>
<? endif; ?>